//===================================================================
//                                                                  =
// Author:    Martin Berriman                                       =
// Copyright: Innovatronics Ltd 2006                                =
//                                                                  =
//===================================================================

#ifndef _COMMSH
#define _COMMSH

#nolist

// INCLUDES =========================================================
// END INCLUDES =====================================================

// DEFINES ==========================================================
// END DEFINES ======================================================

// PROTOTYPES =======================================================
void interpret_command(unsigned int8 command);
void get_hw_ver(void);
void get_sw_ver(void);
void get_num_channels(void);
void get_mode(int8 channel);
void get_pressure(int8 channel);
void get_result(int8 channel);
void get_cal_date(void);
void get_serial_num(void);
void get_max_pressure(void);
void get_min_pressure(void);
void get_lim_pressure(void);
void get_std_string(void);
void get_units_string(void);
void do_calibrate(void);
void set_cal_date(void);
void set_serial_num(void);
void do_abort(int8 channel);
void set_standard(valid_standards standard);
void set_units(st_units new_units);
void get_decimal_places(void);
void do_start_test(unsigned int8 channel);
void do_send_timer_tick(void);
void get_max_samples(void);
void get_stabilisation_seconds(int8 channel);
void get_max_stabilisation_seconds(void);
void set_custom_parameters(void);
void get_custom_parameters(void);
// END PROTOTYPES ===================================================

#list

// =============================================================
#endif